Bug 487355 - Deadlock when trying to close connection
Deadlock when trying to close connection
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
urgent Severity urgent
: 1.1.1
: ---
Assigned To: Rafael H. Schloming
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 11:17 EST by Rajith Attapattu
Modified: 2015-11-15 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 12:17:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2009-02-25 11:17:51 EST
I managed to reproduce this issue when testing failover in a loop.

Below is the full thread dump that describes the deadlock.

Full thread dump Java HotSpot(TM) Client VM (10.0-b23 mixed mode,
sharing):

"IoReceiver - localhost/127.0.0.1:5672" daemon prio=10 tid=0x0a178400
nid=0x694a waiting for monitor entry [0xb4de1000..0xb4de2030]
   java.lang.Thread.State: BLOCKED (on object monitor)
        at org.apache.qpid.transport.Session.closed(Session.java:850)
        - waiting to lock <0x5594bb70> (a
[Lorg.apache.qpid.transport.Method;)
        at
org.apache.qpid.transport.Connection.closed(Connection.java:438)
        - locked <0x5594b8c8> (a java.lang.Object)
        at
org.apache.qpid.transport.network.Assembler.closed(Assembler.java:113)
        at
org.apache.qpid.transport.network.InputHandler.closed(InputHandler.java:201)
        at
org.apache.qpid.transport.network.io.IoReceiver.run(IoReceiver.java:151)
        at java.lang.Thread.run(Thread.java:619)

"Thread-47" prio=10 tid=0x0a175c00 nid=0x6936 runnable
[0xb51f9000..0xb51fa130]
   java.lang.Thread.State: RUNNABLE
        at java.io.FileInputStream.readBytes(Native Method)
        at java.io.FileInputStream.read(FileInputStream.java:199)
        at
java.io.BufferedInputStream.read1(BufferedInputStream.java:256)
        at
java.io.BufferedInputStream.read(BufferedInputStream.java:317)
        - locked <0x55b0eea0> (a java.io.BufferedInputStream)
        at sun.nio.cs.StreamDecoder.readBytes(StreamDecoder.java:264)
        at sun.nio.cs.StreamDecoder.implRead(StreamDecoder.java:306)
        at sun.nio.cs.StreamDecoder.read(StreamDecoder.java:158)
        - locked <0x55b0eee8> (a java.io.InputStreamReader)
        at java.io.InputStreamReader.read(InputStreamReader.java:167)
        at java.io.BufferedReader.fill(BufferedReader.java:136)
        at java.io.BufferedReader.readLine(BufferedReader.java:299)
        - locked <0x55b0eee8> (a java.io.InputStreamReader)
        at java.io.LineNumberReader.readLine(LineNumberReader.java:182)
        - locked <0x55b0eee8> (a java.io.InputStreamReader)
        at org.apache.qpid.test.utils.QpidTestCase
$Piper.run(QpidTestCase.java:269)

"process reaper" daemon prio=10 tid=0x0a175400 nid=0x6934 runnable
[0xb4ed4000..0xb4ed50b0]
   java.lang.Thread.State: RUNNABLE
        at java.lang.UNIXProcess.waitForProcessExit(Native Method)
        at java.lang.UNIXProcess.access$900(UNIXProcess.java:20)
        at java.lang.UNIXProcess$1$1.run(UNIXProcess.java:132)

"IoReceiver - localhost/127.0.0.1:5673" daemon prio=10 tid=0x0a1ba800
nid=0x6933 waiting for monitor entry [0xb4e32000..0xb4e32e30]
   java.lang.Thread.State: BLOCKED (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x5594b8c8> (a java.lang.Object)
        at org.apache.qpid.transport.util.Waiter.await(Waiter.java:54)
        at
org.apache.qpid.transport.Connection.close(Connection.java:489)
        - locked <0x5594b8c8> (a java.lang.Object)
        at
org.apache.qpid.transport.Connection.connect(Connection.java:208)
        - locked <0x5594b8c8> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnectionDelegate_0_10.makeBrokerConnection(AMQConnectionDelegate_0_10.java:161)
        at
org.apache.qpid.client.AMQConnection.makeBrokerConnection(AMQConnection.java:671)
        at
org.apache.qpid.client.AMQConnection.attemptReconnection(AMQConnection.java:641)
        at
org.apache.qpid.client.AMQConnectionDelegate_0_10.closed(AMQConnectionDelegate_0_10.java:238)
        at
org.apache.qpid.transport.Connection.closed(Connection.java:445)
        at
org.apache.qpid.transport.network.Assembler.closed(Assembler.java:113)
        at
org.apache.qpid.transport.network.InputHandler.closed(InputHandler.java:201)
        at
org.apache.qpid.transport.network.io.IoReceiver.run(IoReceiver.java:151)
        at java.lang.Thread.run(Thread.java:619)

"IoSender - localhost/127.0.0.1:5673" daemon prio=10 tid=0x0a23b400
nid=0x6932 in Object.wait() [0xb51a8000..0xb51a8db0]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x55b13150> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at
org.apache.qpid.transport.network.io.IoSender.run(IoSender.java:248)
        - locked <0x55b13150> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:619)

"Dispatcher-Channel-2" daemon prio=10 tid=0x0a132400 nid=0x6918 in
Object.wait() [0xb524a000..0xb524b030]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x559d7c78> (a
org.apache.qpid.client.util.FlowControllingBlockingQueue)
        at java.lang.Object.wait(Object.java:485)
        at
org.apache.qpid.client.util.FlowControllingBlockingQueue.take(FlowControllingBlockingQueue.java:83)
        - locked <0x559d7c78> (a
org.apache.qpid.client.util.FlowControllingBlockingQueue)
        at org.apache.qpid.client.AMQSession
$Dispatcher.run(AMQSession.java:2790)
        at java.lang.Thread.run(Thread.java:619)

"IoSender - localhost/127.0.0.1:5672" daemon prio=10 tid=0x0a127000
nid=0x6916 in Object.wait() [0xb5079000..0xb507a130]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x55a63ba0> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at
org.apache.qpid.transport.network.io.IoSender.run(IoSender.java:248)
        - locked <0x55a63ba0> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:619)

"ack-flusher" daemon prio=10 tid=0x0a129800 nid=0x6914 in Object.wait()
[0xb4f76000..0xb4f76e30]
   java.lang.Thread.State: TIMED_WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        at java.util.TimerThread.mainLoop(Timer.java:509)
        - locked <0x559cefe8> (a java.util.TaskQueue)
        at java.util.TimerThread.run(Timer.java:462)

"IoSender - localhost/127.0.0.1:5673" daemon prio=10 tid=0x0a58fc00
nid=0x6912 in Object.wait() [0xb5028000..0xb5028f30]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x5593c168> (a java.lang.Object)
        at java.lang.Object.wait(Object.java:485)
        at
org.apache.qpid.transport.network.io.IoSender.run(IoSender.java:248)
        - locked <0x5593c168> (a java.lang.Object)
        at java.lang.Thread.run(Thread.java:619)

"Thread-12" daemon prio=10 tid=0x0a573000 nid=0x6897 runnable
[0xb5157000..0xb5157fb0]
   java.lang.Thread.State: RUNNABLE
        at java.io.FileInputStream.readBytes(Native Method)
        at java.io.FileInputStream.read(FileInputStream.java:199)
        at
java.io.BufferedInputStream.fill(BufferedInputStream.java:218)
        at
java.io.BufferedInputStream.read1(BufferedInputStream.java:258)
        at
java.io.BufferedInputStream.read(BufferedInputStream.java:317)
        - locked <0x55160040> (a java.io.BufferedInputStream)
        at java.io.FilterInputStream.read(FilterInputStream.java:116)
        at java.io.FilterInputStream.read(FilterInputStream.java:90)
        at
org.apache.tools.ant.taskdefs.StreamPumper.run(StreamPumper.java:92)
        at java.lang.Thread.run(Thread.java:619)

"Low Memory Detector" daemon prio=10 tid=0x0a044400 nid=0x6875 runnable
[0x00000000..0x00000000]
   java.lang.Thread.State: RUNNABLE

"CompilerThread0" daemon prio=10 tid=0x0a039800 nid=0x6874 waiting on
condition [0x00000000..0xb5670b68]
   java.lang.Thread.State: RUNNABLE

"Signal Dispatcher" daemon prio=10 tid=0x0a038400 nid=0x6873 runnable
[0x00000000..0x00000000]
   java.lang.Thread.State: RUNNABLE

"Finalizer" daemon prio=10 tid=0x0a030000 nid=0x6872 in Object.wait()
[0xb5912000..0xb5912db0]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x5515ff70> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:116)
        - locked <0x5515ff70> (a java.lang.ref.ReferenceQueue$Lock)
        at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:132)
        at java.lang.ref.Finalizer
$FinalizerThread.run(Finalizer.java:159)

"Reference Handler" daemon prio=10 tid=0x0a02ec00 nid=0x6871 in
Object.wait() [0xb5963000..0xb5963f30]
   java.lang.Thread.State: WAITING (on object monitor)
        at java.lang.Object.wait(Native Method)
        - waiting on <0x5515fff8> (a java.lang.ref.Reference$Lock)
        at java.lang.Object.wait(Object.java:485)
        at java.lang.ref.Reference
$ReferenceHandler.run(Reference.java:116)
        - locked <0x5515fff8> (a java.lang.ref.Reference$Lock)

"main" prio=10 tid=0x0a007000 nid=0x686f waiting for monitor entry
[0xb7f2f000..0xb7f31208]
   java.lang.Thread.State: BLOCKED (on object monitor)
        at
org.apache.qpid.transport.Connection.removeSession(Connection.java:263)
        - waiting to lock <0x5594b8c8> (a java.lang.Object)
        at org.apache.qpid.transport.Session.close(Session.java:837)
        - locked <0x5594bb70> (a [Lorg.apache.qpid.transport.Method;)
        at
org.apache.qpid.client.AMQSession_0_10.sendClose(AMQSession_0_10.java:311)
        at org.apache.qpid.client.AMQSession.close(AMQSession.java:639)
        - locked <0x559d0870> (a java.lang.Object)
        - locked <0x55883318> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.closeAllSessions(AMQConnection.java:1051)
        at
org.apache.qpid.client.AMQConnection.doClose(AMQConnection.java:946)
        - locked <0x55883318> (a java.lang.Object)
        - locked <0x55883320> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.doClose(AMQConnection.java:935)
        - locked <0x559d7d78> (a java.lang.Object)
        - locked <0x55883320> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.doClose(AMQConnection.java:935)
        - locked <0x559d0870> (a java.lang.Object)
        - locked <0x55883320> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.close(AMQConnection.java:922)
        at
org.apache.qpid.client.AMQConnection.close(AMQConnection.java:915)
        at
org.apache.qpid.client.AMQConnection.close(AMQConnection.java:910)
        at
org.apache.qpid.test.client.failover.FailoverTest.tearDown(FailoverTest.java:97)
        at junit.framework.TestCase.runBare(TestCase.java:130)
        at
org.apache.qpid.test.utils.QpidTestCase.runBare(QpidTestCase.java:188)
        at junit.framework.TestResult$1.protect(TestResult.java:106)
        at junit.framework.TestResult.runProtected(TestResult.java:124)
        at junit.framework.TestResult.run(TestResult.java:109)
        at junit.framework.TestCase.run(TestCase.java:118)
        at
org.apache.qpid.test.utils.QpidTestCase.run(QpidTestCase.java:222)
        at junit.framework.TestSuite.runTest(TestSuite.java:208)
        at junit.framework.TestSuite.run(TestSuite.java:203)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:421)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.executeInVM(JUnitTask.java:1245)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.execute(JUnitTask.java:814)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.executeOrQueue(JUnitTask.java:1657)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.execute(JUnitTask.java:764)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:357)
        at org.apache.tools.ant.Target.performTasks(Target.java:385)
        at
org.apache.tools.ant.Project.executeSortedTargets(Project.java:1329)
        at
org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
        at
org.apache.tools.ant.Project.executeTargets(Project.java:1181)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:416)
        at org.apache.tools.ant.taskdefs.SubAnt.execute(SubAnt.java:289)
        at org.apache.tools.ant.taskdefs.SubAnt.execute(SubAnt.java:208)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at
org.apache.tools.ant.taskdefs.Sequential.execute(Sequential.java:62)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at
org.apache.tools.ant.taskdefs.MacroInstance.execute(MacroInstance.java:391)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:357)
        at org.apache.tools.ant.Target.performTasks(Target.java:385)
        at
org.apache.tools.ant.Project.executeSortedTargets(Project.java:1329)
        at org.apache.tools.ant.Project.executeTarget(Project.java:1298)
        at
org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
        at
org.apache.tools.ant.Project.executeTargets(Project.java:1181)
        at org.apache.tools.ant.Main.runBuild(Main.java:698)
        at org.apache.tools.ant.Main.startAnt(Main.java:199)
        at org.apache.tools.ant.launch.Launcher.run(Launcher.java:257)
        at org.apache.tools.ant.launch.Launcher.main(Launcher.java:104)

"VM Thread" prio=10 tid=0x0a02d400 nid=0x6870 runnable 

"VM Periodic Task Thread" prio=10 tid=0x0a045c00 nid=0x6876 waiting on
condition 

JNI global references: 826


Found one Java-level deadlock:
=============================
"IoReceiver - localhost/127.0.0.1:5672":
  waiting to lock monitor 0x0a032d68 (object 0x5594bb70, a
[Lorg.apache.qpid.transport.Method;),
  which is held by "main"
"main":
  waiting to lock monitor 0x0a033150 (object 0x5594b8c8, a
java.lang.Object),
  which is held by "IoReceiver - localhost/127.0.0.1:5672"

Java stack information for the threads listed above:
===================================================
"IoReceiver - localhost/127.0.0.1:5672":
        at org.apache.qpid.transport.Session.closed(Session.java:850)
        - waiting to lock <0x5594bb70> (a
[Lorg.apache.qpid.transport.Method;)
        at
org.apache.qpid.transport.Connection.closed(Connection.java:438)
        - locked <0x5594b8c8> (a java.lang.Object)
        at
org.apache.qpid.transport.network.Assembler.closed(Assembler.java:113)
        at
org.apache.qpid.transport.network.InputHandler.closed(InputHandler.java:201)
        at
org.apache.qpid.transport.network.io.IoReceiver.run(IoReceiver.java:151)
        at java.lang.Thread.run(Thread.java:619)
"main":
        at
org.apache.qpid.transport.Connection.removeSession(Connection.java:263)
        - waiting to lock <0x5594b8c8> (a java.lang.Object)
        at org.apache.qpid.transport.Session.close(Session.java:837)
        - locked <0x5594bb70> (a [Lorg.apache.qpid.transport.Method;)
        at
org.apache.qpid.client.AMQSession_0_10.sendClose(AMQSession_0_10.java:311)
        at org.apache.qpid.client.AMQSession.close(AMQSession.java:639)
        - locked <0x559d0870> (a java.lang.Object)
        - locked <0x55883318> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.closeAllSessions(AMQConnection.java:1051)
        at
org.apache.qpid.client.AMQConnection.doClose(AMQConnection.java:946)
        - locked <0x55883318> (a java.lang.Object)
        - locked <0x55883320> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.doClose(AMQConnection.java:935)
        - locked <0x559d7d78> (a java.lang.Object)
        - locked <0x55883320> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.doClose(AMQConnection.java:935)
        - locked <0x559d0870> (a java.lang.Object)
        - locked <0x55883320> (a java.lang.Object)
        at
org.apache.qpid.client.AMQConnection.close(AMQConnection.java:922)
        at
org.apache.qpid.client.AMQConnection.close(AMQConnection.java:915)
        at
org.apache.qpid.client.AMQConnection.close(AMQConnection.java:910)
        at
org.apache.qpid.test.client.failover.FailoverTest.tearDown(FailoverTest.java:97)
        at junit.framework.TestCase.runBare(TestCase.java:130)
        at
org.apache.qpid.test.utils.QpidTestCase.runBare(QpidTestCase.java:188)
        at junit.framework.TestResult$1.protect(TestResult.java:106)
        at junit.framework.TestResult.runProtected(TestResult.java:124)
        at junit.framework.TestResult.run(TestResult.java:109)
        at junit.framework.TestCase.run(TestCase.java:118)
        at
org.apache.qpid.test.utils.QpidTestCase.run(QpidTestCase.java:222)
        at junit.framework.TestSuite.runTest(TestSuite.java:208)
        at junit.framework.TestSuite.run(TestSuite.java:203)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:421)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.executeInVM(JUnitTask.java:1245)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.execute(JUnitTask.java:814)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.executeOrQueue(JUnitTask.java:1657)
        at
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.execute(JUnitTask.java:764)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:357)
        at org.apache.tools.ant.Target.performTasks(Target.java:385)
        at
org.apache.tools.ant.Project.executeSortedTargets(Project.java:1329)
        at
org.apache.tools.ant.helper.SingleCheckExecutor.executeTargets(SingleCheckExecutor.java:38)
        at
org.apache.tools.ant.Project.executeTargets(Project.java:1181)
        at org.apache.tools.ant.taskdefs.Ant.execute(Ant.java:416)
        at org.apache.tools.ant.taskdefs.SubAnt.execute(SubAnt.java:289)
        at org.apache.tools.ant.taskdefs.SubAnt.execute(SubAnt.java:208)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at
org.apache.tools.ant.taskdefs.Sequential.execute(Sequential.java:62)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at
org.apache.tools.ant.taskdefs.MacroInstance.execute(MacroInstance.java:391)
        at
org.apache.tools.ant.UnknownElement.execute(UnknownElement.java:288)
        at sun.reflect.GeneratedMethodAccessor25.invoke(Unknown Source)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at
org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:105)
        at org.apache.tools.ant.Task.perform(Task.java:348)
        at org.apache.tools.ant.Target.execute(Target.java:357)
        at org.apache.tools.ant.Target.performTasks(Target.java:385)
        at
org.apache.tools.ant.Project.executeSortedTargets(Project.java:1329)
        at org.apache.tools.ant.Project.executeTarget(Project.java:1298)
        at
org.apache.tools.ant.helper.DefaultExecutor.executeTargets(DefaultExecutor.java:41)
        at
org.apache.tools.ant.Project.executeTargets(Project.java:1181)
        at org.apache.tools.ant.Main.runBuild(Main.java:698)
        at org.apache.tools.ant.Main.startAnt(Main.java:199)
        at org.apache.tools.ant.launch.Launcher.run(Launcher.java:257)
        at org.apache.tools.ant.launch.Launcher.main(Launcher.java:104)

Found 1 deadlock.
Comment 1 Rajith Attapattu 2009-03-02 22:42:57 EST
It appears to be fixed after rev 748594 on Qpid trunk.
I haven't been able to reproduce it since then.
Comment 3 Frantisek Reznicek 2009-03-17 07:02:14 EDT
No test info included. Could you possibly add which test you run and what tool you used to find the deadlock, please?

putting NEEDINFO.
Comment 4 Rajith Attapattu 2009-03-17 11:46:46 EDT
This one was tough issue reproduce.
I ran the following test and it this issue came to light only on my laptop which is a single CPU machine. It never appeared on mrg16.

So to run the test you can do the following.
ant test -Dtest=FailoverTest -Dprofile=cpp.cluster

If you feel like the test is hanging you can find the pid for this java process and do the following

kill -3 <pid>

It will do a thread dump to the console and it should indicate if there is a deadlock. (Ex look at the thread dump I have posted in the bz)
Comment 5 Frantisek Reznicek 2009-04-03 08:18:27 EDT
Testing is ongoing but seeing following issues (which are targeted for 1.2):
- https://bugzilla.redhat.com/show_bug.cgi?id=489488
- https://bugzilla.redhat.com/show_bug.cgi?id=486991

Digging more to the root-cause.

[freznice@dhcp-lab-200 systests]$ egrep -i '(error|critical)' *.out
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:IoReceiver - localhost/127.0.0.1:5672 2009-04-03 13:54:41,214 ERROR [apache.qpid.client.AMQConnectionDelegate_0_10] connection exception: conn:674c5b37
TEST-org.apache.qpid.test.client.failover.FailoverTest.testClientAckFailover.out:2009-apr-03 13:54:41 critical Broker start-up failed: Exchange already exists: amq.direct (MessageStoreImpl.cpp:489)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: session-busy: Session already attached: guest@QPID.2427121f-8660-4167-8662-3c0c6a39da1a (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: session.request-timeout: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: session.command-point: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: session.flush: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; arguments={}; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: session-busy: Session already attached: guest@QPID.a049b376-caca-4bbc-9a79-46527d67b985 (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: session.request-timeout: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: session.command-point: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: session.flush: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; passive=1; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {QueueDeclareBody: queue=example.queue; alternate-exchange=; durable=1; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {ExchangeBindBody: queue=example.queue; exchange=amq.direct; binding-key=example.queue; arguments={x-match:V2:3:str16(any)}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageSubscribeBody: queue=example.queue; destination=2; accept-mode=0; acquire-mode=0; resume-id=; resume-ttl=0; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageSetFlowModeBody: destination=2; flow-mode=1; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageFlowBody: destination=2; unit=1; value=4294967295; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testFailoverInALoop.out:2009-apr-03 13:54:42 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageFlowBody: destination=2; unit=0; value=1000; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: session-busy: Session already attached: guest@QPID.242fd49b-4c83-4639-8937-a6313687a01a (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: session.request-timeout: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: session.command-point: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: session.flush: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; passive=1; arguments={}; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {QueueDeclareBody: queue=example.queue; alternate-exchange=; durable=1; arguments={}; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {ExchangeBindBody: queue=example.queue; exchange=amq.direct; binding-key=example.queue; arguments={x-match:V2:3:str16(any)}; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {MessageSubscribeBody: queue=example.queue; destination=2; accept-mode=0; acquire-mode=0; resume-id=; resume-ttl=0; arguments={}; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {MessageSetFlowModeBody: destination=2; flow-mode=1; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {MessageFlowBody: destination=2; unit=1; value=4294967295; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {MessageFlowBody: destination=2; unit=0; value=1000; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: session-busy: Session already attached: guest@QPID.52b4e67c-4e4f-4247-ba2d-59c8539246aa (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: session.request-timeout: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: session.command-point: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: session.flush: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailover.out:2009-apr-03 13:49:36 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:IoReceiver - localhost/127.0.0.1:5672 2009-04-03 13:52:39,547 ERROR [apache.qpid.client.AMQConnectionDelegate_0_10] connection exception: conn:6760bf50
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransacted.out:2009-apr-03 13:52:39 critical Broker start-up failed: Exchange already exists: amq.direct (MessageStoreImpl.cpp:489)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: session-busy: Session already attached: guest@QPID.ae72801d-cce8-47b5-b9ef-aafb9721e177 (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: session.request-timeout: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: session.command-point: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: session.flush: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; arguments={}; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: session-busy: Session already attached: guest@QPID.781d2cdf-17bf-4abc-a605-64b2ad632fde (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: session.request-timeout: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: session.command-point: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: session.flush: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; passive=1; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {QueueDeclareBody: queue=example.queue; alternate-exchange=; durable=1; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {ExchangeBindBody: queue=example.queue; exchange=amq.direct; binding-key=example.queue; arguments={x-match:V2:3:str16(any)}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageSubscribeBody: queue=example.queue; destination=2; accept-mode=0; acquire-mode=0; resume-id=; resume-ttl=0; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageSetFlowModeBody: destination=2; flow-mode=1; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageFlowBody: destination=2; unit=1; value=4294967295; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverTransactedWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:52:41 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageFlowBody: destination=2; unit=0; value=1000; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:IoReceiver - localhost/127.0.0.1:5672 2009-04-03 13:50:36,983 ERROR [apache.qpid.client.AMQConnectionDelegate_0_10] connection exception: conn:1167e3a5
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsumeAndProduce.out:2009-apr-03 13:50:37 critical Broker start-up failed: Exchange already exists: amq.direct (MessageStoreImpl.cpp:489)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:org.apache.qpid.transport.TransportException: Error connecting to broker
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: session-busy: Session already attached: guest@QPID.71337cc2-12da-460f-9230-1943047753aa (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: session.request-timeout: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: session.command-point: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: session.flush: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=2; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; arguments={}; }]: channel 2 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: session-busy: Session already attached: guest@QPID.bf926c9b-0172-4038-9c1e-ebbcd365e106 (qpid/broker/SessionManager.cpp:55)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: session.request-timeout: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:187)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: session.command-point: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:198)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: session.flush: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:244)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {ExchangeDeclareBody: exchange=amq.direct; type=direct; alternate-exchange=; passive=1; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {QueueDeclareBody: queue=example.queue; alternate-exchange=; durable=1; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {ExchangeBindBody: queue=example.queue; exchange=amq.direct; binding-key=example.queue; arguments={x-match:V2:3:str16(any)}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageSubscribeBody: queue=example.queue; destination=2; accept-mode=0; acquire-mode=0; resume-id=; resume-ttl=0; arguments={}; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageSetFlowModeBody: destination=2; flow-mode=1; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageFlowBody: destination=2; unit=1; value=4294967295; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
TEST-org.apache.qpid.test.client.failover.FailoverTest.testP2PFailoverWithMessagesLeftToConsume.out:2009-apr-03 13:50:38 error Channel exception: not-attached: receiving Frame[BEbe; channel=3; {MessageFlowBody: destination=2; unit=0; value=1000; }]: channel 3 is not attached (qpid/amqp_0_10/SessionHandler.cpp:79)
Comment 6 Frantisek Reznicek 2009-04-14 08:27:46 EDT
The issue has been fixed, validated by long term run on RHEL 5.3 i386 / x86_64 on packages:
openais-0.80.3-22.el5_3.4
python-qpid-0.5.752581-1.el5
qpidc-0.5.752581-3.el5
qpidc-debuginfo-0.5.752581-3.el5
qpidc-devel-0.5.752581-3.el5
qpidc-perftest-0.5.752581-3.el5
qpidc-rdma-0.5.752581-3.el5
qpidc-ssl-0.5.752581-3.el5
qpidd-0.5.752581-3.el5
qpidd-acl-0.5.752581-3.el5
qpidd-cluster-0.5.752581-3.el5
qpidd-devel-0.5.752581-3.el5
qpidd-rdma-0.5.752581-3.el5
qpidd-ssl-0.5.752581-3.el5
qpidd-xml-0.5.752581-3.el5
qpid-java-client-0.5.751061-2.el5
qpid-java-common-0.5.751061-2.el5
rhm-0.5.3206-1.el5
rhm-docs-0.5.756148-1.el5

The test procedure consist of 'ant test -Dtest=FailoverTest -Dprofile=cpp.cluster' on packaged qpidd and compiled & patched java code from rev.751061. No hang observed on multiple machines.

The above mentioned bugs from comment 5 were suppressed by using qpidd-cluster module only.

->VERIFIED
Comment 8 errata-xmlrpc 2009-04-21 12:17:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0434.html

Note You need to log in before you can comment on or make changes to this bug.